# i3status configuration file.
# see "man i3status" for documentation.

# It is important that this file is edited as UTF-8.
# The following line should contain a sharp s:
# ß
# If the above line is not correctly displayed, fix your editor first!

general {
        colors = true
        interval = 5
}


order += "disk /"
order += "disk /home"
order += "disk /mnt/storage"
order += "disk /boot"
#order += "run_watch DHCP"
order += "run_watch VPN"
order += "ipv6"
order += "wireless _first_"
order += "ethernet _first_"
order += "battery 0"
order += "cpu_usage"
order += "cpu_temperature 0"
# order += "cpu_temperature 1"
order += "memory"
#order += "load"
order += "volume master"
order += "read_file screen_brightness"
# order += "backlight"
order += "tztime local"

wireless _first_ {
        format_up = "  %quality %essid %ip"
        # format_up = "W: (%quality at %essid) %ip"
        format_down = ""
}

ethernet _first_ {
        # if you use %speed, i3status requires root privileges
        format_up = "E: %ip (%speed)"
        format_down = ""
}

# battery 0 {
#         format = "%status %percentage %remaining"
# 	last_full_capacity = true
# 	integer_battery_capacity = true
# 	hide_seconds = true
# }

battery 0 {
    # format = "🔋 %status %percentage" 
    format = "%status %percentage %remaining → 0"
    format_down = ""
    last_full_capacity = true
    integer_battery_capacity = true
    low_threshold = 11
    threshold_type = percentage
    hide_seconds = true
    
    status_chr = "  "
    status_bat = "  "
    status_unk = "UNK   "
    status_full = "  "
}

run_watch DHCP {
        pidfile = "/var/run/dhclient*.pid"
}

run_watch VPN {
        pidfile = "/var/run/vpnc/pid"
}

tztime local {
        format = "%Y-%m-%d %H:%M:%S"
}

cpu_temperature 0{
	format = "%degrees °C"
	max_threshold = "85"
	path = "/sys/devices/virtual/thermal/thermal_zone0/temp" #"/sys/devices/platform/coretemp.0/hwmon/hwmon4/temp2_input"
}
cpu_temperature 1{
	format = "%degrees °C"
	max_threshold = "85"
	path = "/sys/devices/platform/coretemp.0/hwmon/hwmon4/temp3_input"
}

cpu_usage {
        format = " %usage"
	max_threshold = "95"
}

memory {
        format = "  %used/%total"
        # format = "⛁ %used/%total"
        threshold_degraded = "2G"
        format_degraded = "MEMORY < %available"
}


load {
        format = "%1min"
}

disk "/" {
        format = "  %avail"
}
disk "/home" {
        format = "  %avail"
}
disk "/mnt/storage" {
        format = "%avail"
}
disk "/boot" {
        format = "%avail"
}

# volume master {
#    format = " %volume"
#    format_muted = "x %volume"
#    device = "default"
#    mixer = "Master"
#    mixer_idx = 0
# }


volume master {
        format = "  %volume"
        format_muted = "x %volume"
        device = "default"
}

# backlight {
#         format = "\uf042 {level}%"
#         cache_timeout = 30
# }

read_file screen_brightness {
        format = "☀ %content%"
        path = "/var/log/scripts/screen_brightness.log"
	max_characters = 5
}